<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="MyShopDataSet" targetNamespace="http://tempuri.org/MyShopDataSet.xsd" xmlns:mstns="http://tempuri.org/MyShopDataSet.xsd" xmlns="http://tempuri.org/MyShopDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="MyShopConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="MyShopConnectionString (Settings)" PropertyReference="ApplicationSettings.MyShop.Properties.Settings.GlobalReference.Default.MyShopConnectionString" Provider="System.Data.OleDb" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="GoodsTableAdapter" GeneratorDataComponentClassName="GoodsTableAdapter" Name="Goods" UserDataComponentName="GoodsTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="MyShopConnectionString (Settings)" DbObjectName="Goods" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM `Goods` WHERE ((`GoodsCode` = ?) AND ((? = 1 AND `GoodsName` IS NULL) OR (`GoodsName` = ?)) AND ((? = 1 AND `GoodsUnitPrice` IS NULL) OR (`GoodsUnitPrice` = ?)) AND ((? = 1 AND `GoodsStock` IS NULL) OR (`GoodsStock` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_GoodsCode" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_GoodsName" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_GoodsName" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="GoodsName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_GoodsUnitPrice" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsUnitPrice" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_GoodsUnitPrice" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsUnitPrice" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_GoodsStock" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsStock" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_GoodsStock" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsStock" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO `Goods` (`GoodsName`, `GoodsUnitPrice`, `GoodsStock`) VALUES (?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="GoodsName" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="GoodsName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="GoodsUnitPrice" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsUnitPrice" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="GoodsStock" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsStock" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT GoodsCode, GoodsName, GoodsUnitPrice, GoodsStock FROM Goods</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE `Goods` SET `GoodsName` = ?, `GoodsUnitPrice` = ?, `GoodsStock` = ? WHERE ((`GoodsCode` = ?) AND ((? = 1 AND `GoodsName` IS NULL) OR (`GoodsName` = ?)) AND ((? = 1 AND `GoodsUnitPrice` IS NULL) OR (`GoodsUnitPrice` = ?)) AND ((? = 1 AND `GoodsStock` IS NULL) OR (`GoodsStock` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="GoodsName" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="GoodsName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="GoodsUnitPrice" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsUnitPrice" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="GoodsStock" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsStock" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_GoodsCode" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsCode" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_GoodsName" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_GoodsName" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="GoodsName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_GoodsUnitPrice" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsUnitPrice" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_GoodsUnitPrice" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsUnitPrice" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_GoodsStock" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsStock" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_GoodsStock" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="GoodsStock" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="GoodsCode" DataSetColumn="GoodsCode" />
              <Mapping SourceColumn="GoodsName" DataSetColumn="GoodsName" />
              <Mapping SourceColumn="GoodsUnitPrice" DataSetColumn="GoodsUnitPrice" />
              <Mapping SourceColumn="GoodsStock" DataSetColumn="GoodsStock" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="MyShopDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="MyShopDataSet" msprop:Generator_UserDSName="MyShopDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Goods" msprop:Generator_TableClassName="GoodsDataTable" msprop:Generator_TableVarName="tableGoods" msprop:Generator_TablePropName="Goods" msprop:Generator_RowDeletingName="GoodsRowDeleting" msprop:Generator_RowChangingName="GoodsRowChanging" msprop:Generator_RowEvHandlerName="GoodsRowChangeEventHandler" msprop:Generator_RowDeletedName="GoodsRowDeleted" msprop:Generator_UserTableName="Goods" msprop:Generator_RowChangedName="GoodsRowChanged" msprop:Generator_RowEvArgName="GoodsRowChangeEvent" msprop:Generator_RowClassName="GoodsRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="GoodsCode" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnGoodsCode" msprop:Generator_ColumnPropNameInRow="GoodsCode" msprop:Generator_ColumnPropNameInTable="GoodsCodeColumn" msprop:Generator_UserColumnName="GoodsCode" type="xs:int" />
              <xs:element name="GoodsName" msprop:Generator_ColumnVarNameInTable="columnGoodsName" msprop:Generator_ColumnPropNameInRow="GoodsName" msprop:Generator_ColumnPropNameInTable="GoodsNameColumn" msprop:Generator_UserColumnName="GoodsName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="255" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="GoodsUnitPrice" msprop:Generator_ColumnVarNameInTable="columnGoodsUnitPrice" msprop:Generator_ColumnPropNameInRow="GoodsUnitPrice" msprop:Generator_ColumnPropNameInTable="GoodsUnitPriceColumn" msprop:Generator_UserColumnName="GoodsUnitPrice" type="xs:int" minOccurs="0" />
              <xs:element name="GoodsStock" msprop:Generator_ColumnVarNameInTable="columnGoodsStock" msprop:Generator_ColumnPropNameInRow="GoodsStock" msprop:Generator_ColumnPropNameInTable="GoodsStockColumn" msprop:Generator_UserColumnName="GoodsStock" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Goods" />
      <xs:field xpath="mstns:GoodsCode" />
    </xs:unique>
  </xs:element>
</xs:schema>